Loading...
Searching...
No Matches
gr::fec::tpc_common Class Reference

`#include <gnuradio/fec/tpc_common.h>`

## Static Public Member Functions

static int | parity_counter (int symbol, int length)
static void | rsc_enc_bit (int input, int state_in, std::vector< int > g, int KK, int nn, std::vector< std::vector< int > > &output, std::vector< std::vector< int > > &nextStates)
static void | precomputeStateTransitionMatrix_RSCPoly (int numStates, std::vector< int > g, int KK, int nn, std::vector< std::vector< int > > &output, std::vector< std::vector< int > > &nextStates)
static void | rsc_tail (std::vector< int > &tail_p, std::vector< int > g, int max_states, int mm)
static void | itob (std::vector< int > &binVec, int symbol, int length)

## Member Function Documentation

## itob()

static void gr::fec::tpc_common::itob | ( | std::vector< int > & | binVec,
|  | int | symbol,
|  | int | length )

static

## parity_counter()

static int gr::fec::tpc_common::parity_counter | ( | int | symbol,
|  | int | length )

static

## precomputeStateTransitionMatrix_RSCPoly()

static void gr::fec::tpc_common::precomputeStateTransitionMatrix_RSCPoly | ( | int | numStates,
|  | std::vector< int > | g,
|  | int | KK,
|  | int | nn,
|  | std::vector< std::vector< int > > & | output,
|  | std::vector< std::vector< int > > & | nextStates )

static

## rsc_enc_bit()

static void gr::fec::tpc_common::rsc_enc_bit | ( | int | input,
|  | int | state_in,
|  | std::vector< int > | g,
|  | int | KK,
|  | int | nn,
|  | std::vector< std::vector< int > > & | output,
|  | std::vector< std::vector< int > > & | nextStates )

static

## rsc_tail()

static void gr::fec::tpc_common::rsc_tail | ( | std::vector< int > & | tail_p,
|  | std::vector< int > | g,
|  | int | max_states,
|  | int | mm )

static

The documentation for this class was generated from the following file:

- tpc_common.h